Update Paragraphs
curl --request PUT \
--url https://catalystapi.superdashhq.com/api/v1/knowledgeBase/updateParagraph/{workspaceId}/{kbId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"data": "<string>",
"key": "<string>"
}
'import requests
url = "https://catalystapi.superdashhq.com/api/v1/knowledgeBase/updateParagraph/{workspaceId}/{kbId}"
payload = {
"data": "<string>",
"key": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: '<string>', key: '<string>'})
};
fetch('https://catalystapi.superdashhq.com/api/v1/knowledgeBase/updateParagraph/{workspaceId}/{kbId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
msg: "Paragraph updated successfully"
}
{
msg: "Paragraph does not exist in Knowledge base"
}
{
message: "Api key is not valid"
}
{
msg: "Invalid knowledge base id recieved"
}
{
msg: "Internal Server Error"
}
Paragraphs
Update Paragraphs
Update the existing paragraph in the knowledge base
PUT
/
v1
/
knowledgeBase
/
updateParagraph
/
{workspaceId}
/
{kbId}
Update Paragraphs
Authorizations
string
required
API Key associated with the workspace
Path Parameters
string
required
UUID of the workspace
string
required
UUID of the knowledge base
Body Parameters
string
required
The Content of the paragraph
string
required
The
Key of the paragraphResponse
{
msg: "Paragraph updated successfully"
}
{
msg: "Paragraph does not exist in Knowledge base"
}
{
message: "Api key is not valid"
}
{
msg: "Invalid knowledge base id recieved"
}
{
msg: "Internal Server Error"
}
⌘I